Defines an object that can be asynchronously serialized to its WebDriver wire representation.

### Type parameters

- #### T

### Hierarchy

- Serializable

### Implemented by

- ShadowRoot
- WebElement

## Index

### Methods

- serialize

## Methods

### serialize

- serialize(): T | Promise<T>

- Returns either this instance's serialized represention, if immediately available, or a promise for its serialized representation. This function is conceptually equivalent to objects that have a {@code toJSON()} property, except the serialize() result may be a promise or an object containing a promise (which are not directly JSON friendly).

  #### Returns T | Promise<T>

  This instance's serialized wire format.

Generated using TypeDoc